Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.connectionmanager
Class NoTxConnectionManager

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.resource.connectionmanager.BaseConnectionManager2
                  org.jboss.resource.connectionmanager.NoTxConnectionManager

All Implemented Interfaces:
  BaseConnectionManager2MBean, ConnectionCacheListener, ConnectionListenerFactory, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class NoTxConnectionManager
extends BaseConnectionManager2

The NoTxConnectionManager is an simple extension class of the BaseConnectionManager2 for use with jca adapters with no transaction support. It includes functionality to obtain managed connections from a ManagedConnectionPool mbean, find the Subject from a SubjectSecurityDomain, and interact with the CachedConnectionManager for connections held over transaction and method boundaries. Important mbean references are to a ManagedConnectionPool supplier (typically a JBossManagedConnectionPool), and a RARDeployment representing the ManagedConnectionFactory.

Version:
  $Revision: 1.11 $
Author:
  David Jencks, Adrian Brock

Nested Class Summary

Nested classes inherited from class org.jboss.resource.connectionmanager.BaseConnectionManager2
`BaseConnectionManager2.BaseConnectionEventListener, BaseConnectionManager2.ConnectionManagerProxy`

Field Summary

Fields inherited from class org.jboss.resource.connectionmanager.BaseConnectionManager2
`jndiName, poolingStrategy, STOPPING_NOTIFICATION, trace`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.resource.connectionmanager.BaseConnectionManager2MBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`NoTxConnectionManager()` Creates a new NoTxConnectionManager instance.
`NoTxConnectionManager(CachedConnectionManager ccm, ManagedConnectionPool poolingStrategy)` Creates a new NoTxConnectionManager instance.

Method Summary
`ConnectionListener` | `createConnectionListener(javax.resource.spi.ManagedConnection mc, Object context)` Create a managed connection listener for the managed connection
`protected void` | `managedConnectionDisconnected(ConnectionListener cl)`

Methods inherited from class org.jboss.resource.connectionmanager.BaseConnectionManager2
`allocateConnection, disconnect, getCachedConnectionManager, getCcm, getConnectionCount, getInstance, getJaasSecurityManagerService, getJndiName, getManagedConnection, getManagedConnection, getManagedConnectionFactory, getManagedConnectionPool, getNotificationInfo, getPoolingStrategy, getSecurityDomainJndiName, getTransactionManagerInstance, isTransactional, managedConnectionReconnected, reconnect, rethrowAsResourceException, returnManagedConnection, setCachedConnectionManager, setJaasSecurityManagerService, setJndiName, setManagedConnectionPool, setSecurityDomainJndiName, startService, stopService, transactionStarted, unregisterAssociation`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### NoTxConnectionManager

    public NoTxConnectionManager()

  Creates a new NoTxConnectionManager instance.

### NoTxConnectionManager

    public NoTxConnectionManager(CachedConnectionManager ccm,
                                 ManagedConnectionPool poolingStrategy)

  Creates a new NoTxConnectionManager instance. for TESTING ONLY! not a managed operation.

Parameters:
  `ccm` - a `CachedConnectionManager` value
  `poolingStrategy` - a `ManagedConnectionPool` value

Method Detail

### createConnectionListener

    public ConnectionListener createConnectionListener(javax.resource.spi.ManagedConnection mc,
                                                       Object context)

  Description copied from interface: `ConnectionListenerFactory`
  Create a managed connection listener for the managed connection

  Parameters:
    `mc` - the managed connection
    `context` - a context object used by the pool
  Returns:
    a new connection event listener

### managedConnectionDisconnected

    protected void managedConnectionDisconnected(ConnectionListener cl)
                                          throws javax.resource.ResourceException

  Overrides:
    `managedConnectionDisconnected` in class `BaseConnectionManager2`
  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.